<?
if(!defined('GAME'))
{
	die();
}
if($u->info['login'] == $usr['login']) {
	$u->error = 'Нельзя использовать на себя!';
}elseif($usr['room']==217 || $usr['room']==218 || $usr['room']==219) {
	$u->error = 'Персонаж '.$u->microLogin($usr['id'],1).' находится в Общежитии!';
}elseif($usr['dnow'] > 0 ) {
	$u->error = 'Персонаж '.$u->microLogin($usr['id'],1).' находится в Подземелье';
}elseif($usr['real']==1) {
	$u->error = 'Перемещать можно только реальных игроков!';
}elseif($usr['bot'] > 0) {
	$u->error = 'Вы не можете поймать бота ;)';
}elseif($usr['battle'] > 0) {
	$u->error = 'Персонаж '.$u->microLogin($usr['id'],1).' находится в поединке';
}elseif($usr['room']==274) {
	$u->error = 'Персонаж '.$u->microLogin($usr['id'],1).' находится в Заточении!';
}elseif($usr['online']<time()-520) {
	$u->error = 'Персонаж не в сети';
}else{
mysql_query('UPDATE `users` SET `room` = "'.$u->info['room'].'" WHERE `id` = "'.$usr['id'].'" LIMIT 1');
$u->error = 'Успешно!';
$txt = '[img[items/noose.gif]] Персонаж '.$u->info['login'].' поймал персонажа '.$usr['login'].' с помощью заклятия Арканы';
mysql_query("INSERT INTO `chat` (`new`,`city`,`room`,`login`,`to`,`text`,`time`,`type`,`toChat`,`typeTime`) VALUES (1,'".$u->info['city']."','".$u->info['room']."','','','".$txt."','".time()."','6','0','1')");
}
?>